# Enum AuditEvent.Result

java.lang.Object
java.lang.Enum<AuditEvent.Result>
org.apache.zookeeper.audit.AuditEvent.Result

All Implemented Interfaces:
  `Serializable, Comparable<AuditEvent.Result>`

Enclosing class:
  `AuditEvent`

public static enum AuditEvent.Result extends Enum<AuditEvent.Result>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILURE`
`INVOKED`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static AuditEvent.Result`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuditEvent.Result[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final AuditEvent.Result SUCCESS

### FAILURE

public static final AuditEvent.Result FAILURE

### INVOKED

public static final AuditEvent.Result INVOKED

## Method Details

### values

public static AuditEvent.Result[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuditEvent.Result valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null